

#include "Test.h"
#include "Lieferant.h"
#include "Komponente.h"


bool containerTest() {
   //Eine Komponente Hauptspeicher wird erzeugt.
   Komponente hauptspeicher;
   // 2 verschiedene Lieferanten werden dem Container hinzugefgt 
   Lieferant aa("AA");      hauptspeicher.addLieferant(aa);
   Lieferant ab("AB");      hauptspeicher.addLieferant(ab);
   // und es wird berprft, ob AA ein Lieferant des Hauptspeichers ist.
   if (hauptspeicher.hatLieferant(aa) == false) { return false; }
   // Es wird berprft, ob ein 3. kein Lieferant des Hauptspeichers ist.
   Lieferant xx("XX");
   if (hauptspeicher.hatLieferant(xx) == true) { return false; }

   return true;
}


bool containerTest2() {
   Komponente hauptspeicher;
   Lieferant aa("AA");      hauptspeicher.addLieferant(aa);
   Lieferant ab("AB");      hauptspeicher.addLieferant(ab);

   /* In einem zweiten Test entfernen einen Lieferanten vom Hauptspeicher und prfen, dass der Lieferant nun auch wirklich kein Lieferant des Hauptspeichers mehr ist.*/
   hauptspeicher.entferneLieferant(aa);
   if (hauptspeicher.hatLieferant(aa) == true) { return false; }
   if (hauptspeicher.hatLieferant(ab) == false) { return false; }

   return true;
}

